Page MenuHomePhabricator

git.wikimedia.org is down
Closed, ResolvedPublic

Description

$ git clone --depth 1 https://git.wikimedia.org/git/mediawiki/skins/Vector.git
Cloning into 'Vector'...
error: The requested URL returned error: 503 while accessing https://git.wikimedia.org/git/mediawiki/skins/Vector.git/info/refs
fatal: HTTP request failed

Event Timeline

Jidanni created this task.Dec 23 2014, 8:56 PM
Jidanni raised the priority of this task from to High.
Jidanni updated the task description. (Show Details)
Jidanni added a subscriber: Jidanni.
Ciencia_Al_Poder added a subscriber: Ciencia_Al_Poder.

On the page Download from Git it suggests to download from gerrit.wikimedia.org, and this works for me:

git clone --depth 1 https://gerrit.wikimedia.org/r/p/mediawiki/skins/Vector.git

git.wikimedia.org seems down at the moment (even the main page returns error)

Tgr renamed this task from Vector.git/info/refs fatal: HTTP request failed to git.wikimedia.org is down.Dec 23 2014, 10:08 PM
Tgr updated the task description. (Show Details)
Tgr set Security to None.
Unicornisaurous rescinded a token.
Tgr added a subscriber: Tgr.Dec 23 2014, 10:11 PM
$ curl -v 'https://git.wikimedia.org/log/mediawiki%2Fcore'
* Hostname was NOT found in DNS cache
*   Trying 208.80.154.241...
* Connected to git.wikimedia.org (208.80.154.241) port 443 (#0)
* successfully set certificate verify locations:
*   CAfile: none
  CApath: /etc/ssl/certs
* SSLv3, TLS handshake, Client hello (1):
* SSLv3, TLS handshake, Server hello (2):
* SSLv3, TLS handshake, CERT (11):
* SSLv3, TLS handshake, Server key exchange (12):
* SSLv3, TLS handshake, Server finished (14):
* SSLv3, TLS handshake, Client key exchange (16):
* SSLv3, TLS change cipher, Client hello (1):
* SSLv3, TLS handshake, Finished (20):
* SSLv3, TLS change cipher, Client hello (1):
* SSLv3, TLS handshake, Finished (20):
* SSL connection using ECDHE-RSA-AES128-GCM-SHA256
* Server certificate:
* 	 subject: C=US; ST=California; L=San Francisco; O=Wikimedia Foundation, Inc.; CN=*.wikimedia.org
* 	 start date: 2014-11-03 21:06:06 GMT
* 	 expire date: 2015-11-04 21:06:06 GMT
* 	 subjectAltName: git.wikimedia.org matched
* 	 issuer: C=BE; O=GlobalSign nv-sa; CN=GlobalSign Organization Validation CA - SHA256 - G2
* 	 SSL certificate verify ok.
> GET /log/mediawiki%2Fcore HTTP/1.1
> User-Agent: curl/7.35.0
> Host: git.wikimedia.org
> Accept: */*
> 
(long pause)
< HTTP/1.1 504 Gateway Time-out
* Server nginx/1.1.19 is not blacklisted
< Server: nginx/1.1.19
< Date: Tue, 23 Dec 2014 22:10:20 GMT
< Content-Type: text/html
< Content-Length: 183
< Connection: keep-alive
< 
<html>
<head><title>504 Gateway Time-out</title></head>
<body bgcolor="white">
<center><h1>504 Gateway Time-out</h1></center>
<hr><center>nginx/1.1.19</center>
</body>
</html>
* Connection #0 to host git.wikimedia.org left intact

While cloning from gerrit works, tools which use git.wm.org (such as limn-deploy) are broken now.

QChris closed this task as Resolved.Dec 23 2014, 10:37 PM
QChris claimed this task.

Looks like git.wikimedia.org recovered.
It's working for me again (Did not work some minutes ago).

Kghbln added a subscriber: Kghbln.Aug 15 2015, 9:37 AM

It's down again. Perhaps some kind of monitoring could be implemented to detect this until the migration to a stable successor system is implemented.

Sorry folks. Did not see that this one was closed.